function showTime() {    
    /*
      Element/component to hold the clock 
    */

    var component = document.getElementById("clock");
    
    var now=new Date();    
    var year=now.getYear();

    if (year < 1000) {
        year+=1900;
    }
    
    var day=now.getDay();
    var month=now.getMonth()+1;
    
    var dayDisplay=now.getDate();
    
    if (dayDisplay<10) {
        dayDisplay="0"+dayDisplay;
    }

        
    var dayName=new Array("","","",
        "","","","");
        
    var monthName=new Array("January","February",
        "March","April","May","June","July","August",
        "September","October","November",
        "December");
    
    var hours=now.getHours();
    var minutes=now.getMinutes();
    var seconds=now.getSeconds();
    
    if (minutes<=9) {
        minutes="0"+minutes;
    }
    
    if (seconds<=9) {
        seconds="0"+seconds;
    }
    
    /*
       Reformat to suit your needs   
    */
    
    var clockdate= dayName[day]+" " + 
    dayDisplay + "." + month +"."+ year +"  "+
    hours+":"+minutes+":"+seconds;

    component.innerHTML=clockdate;
    
    /*
     * Change desired frequency of update
     */
    setTimeout("showTime()",1000);
    
  }

  window.onload=showTime;
