<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <title>Примеры. Анализ маршрута по сегментам и вывод текстового описания маршрута.</title>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>

    <!--
        Подключаем API карт 2.x
        Параметры:
          - load=package.full - полная сборка;
          - lang=ru-RU - язык русский.
    -->
    <script src="http://api-maps.yandex.ru/2.0/?load=package.full&lang=ru-RU"
            type="text/javascript"></script>
<!--    <script src="http://yandex.st/jquery/1.6.4/jquery.min.js" type="text/javascript"></script> -->
    <script src="/jquerymobile/jquery-1.7.1.min.js" type="text/javascript"></script>
    <script type="text/javascript">
        // Как только будет загружен API и готов DOM, выполняем инициализацию
        ymaps.ready(init);

        function init () {
            var myMap = new ymaps.Map("map", {
                center:[57.931311, 34.576128],
                zoom:6
            });

            //Построим полный маршрут и затем добавим его на карту.
            ymaps.route(['Москва, рабочий адрес', 'Москва, домашний адрес'], {
                mapStateAutoApply:true
            }).then(function (route) {
                  myMap.geoObjects.add(route);
                  $('#list1').append(route.getHumanJamsTime());
            }, function (error) {
                alert('Возникла ошибка: ' + error.message);
            });//route

            ymaps.route(['Москва, домашний адрес','Москва, рабочий адрес'], {
                mapStateAutoApply:true
            }).then(function (route) {
                  myMap.geoObjects.add(route);
                 
                  $('#list2').append(route.getHumanJamsTime());
            }, function (error) {
                alert('Возникла ошибка: ' + error.message);
            });//route

            ymaps.route(['Москва, рабочий адрес', 'Москва, метро Семеновская'], {
                mapStateAutoApply:true
            }).then(function (route) {
                  myMap.geoObjects.add(route);
                  $('#list4').append(route.getHumanJamsTime());
            }, function (error) {
                alert('Возникла ошибка: ' + error.message);
            });//route

            ymaps.route(['Москва, рабочий адрес', 'Москва, метро Авиамоторная'], {
                mapStateAutoApply:true
            }).then(function (route) {
                  myMap.geoObjects.add(route);
                  $('#list3').append(route.getHumanJamsTime());
            }, function (error) {
                alert('Возникла ошибка: ' + error.message);
            });//route

        }//init

    </script>
</head>

<body>
            <div id="map" style="width: 0px; height: 0px"> </div> 
<table style = 'border: 0;'>
    <tr>
        <td>
            <div style="color:white; width:180px;">От работы до дома: </div>
        </td>
        <td>
            <div id="list1" style="color:white;">&nbsp;</div>
      </td>
   </tr>
    <tr>
        <td>
            <div style="color:white;">От дома до работы: </div>
        </td>
        <td>
            <div id="list2" style="color:white;">&nbsp;</div>
      </td>
   </tr>
    <tr>
        <td>
            <div style="color:white;">От работы до м.Семеновская: </div>
        </td>
        <td>
            <div id="list3" style="color:white;">&nbsp;</div>
      </td>
   </tr>
    <tr>
        <td>
            <div style="color:white;">От работы до м.Авиамоторная: </div>
        </td>
        <td>
            <div id="list4" style="color:white;">&nbsp;</div>
      </td>
   </tr>

</table>
</html>
